Loading...
Searching...
No Matches
seq_midi_event.h File Reference

Application interface library for the ALSA driver. More...

Include dependency graph for seq_midi_event.h:

Go to the source code of this file.

## Typedefs

typedef struct snd_midi_event | snd_midi_event_t

## Functions

int | snd_midi_event_new (size_t bufsize, snd_midi_event_t **rdev)
| Creates a MIDI event parser.
int | snd_midi_event_resize_buffer (snd_midi_event_t *dev, size_t bufsize)
| Resizes the MIDI message encoding buffer.
void | snd_midi_event_free (snd_midi_event_t *dev)
| Frees a MIDI event parser.
void | snd_midi_event_init (snd_midi_event_t *dev)
| Resets MIDI encode/decode parsers.
void | snd_midi_event_reset_encode (snd_midi_event_t *dev)
| Resets MIDI encode parser.
void | snd_midi_event_reset_decode (snd_midi_event_t *dev)
| Resets MIDI decode parser.
void | snd_midi_event_no_status (snd_midi_event_t *dev, int on)
| Enables/disables MIDI command merging.
long | snd_midi_event_encode (snd_midi_event_t *dev, const unsigned char *buf, long count, snd_seq_event_t *ev)
| Encodes bytes to sequencer event.
int | snd_midi_event_encode_byte (snd_midi_event_t *dev, int c, snd_seq_event_t *ev)
| Encodes byte to sequencer event.
long | snd_midi_event_decode (snd_midi_event_t *dev, unsigned char *buf, long count, const snd_seq_event_t *ev)
| Decodes sequencer event to MIDI byte stream.

## Detailed Description

Application interface library for the ALSA driver.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  1998-2001

Application interface library for the ALSA driver